<?xml version="1.0" encoding="UTF-8" ?>
<testsuite errors="0" failures="3" hostname="nico-VirtualBox" name="BienParentheseeCrochetsTest" skipped="0" tests="5" time="0.107" timestamp="2019-04-22T20:13:47">
  <properties>
    <property name="ant.project.invoked-targets" value="test-html" />
    <property name="main.build.dir" value="build/" />
    <property name="java.runtime.name" value="OpenJDK Runtime Environment" />
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />
    <property name="java.vm.version" value="25.191-b12" />
    <property name="ant.library.dir" value="/usr/share/ant/lib" />
    <property name="ant.version" value="Apache Ant(TM) version 1.10.5 compiled on March 28 2019" />
    <property name="ant.java.version" value="1.8" />
    <property name="java.vm.vendor" value="Oracle Corporation" />
    <property name="java.vendor.url" value="http://java.oracle.com/" />
    <property name="path.separator" value=":" />
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />
    <property name="file.encoding.pkg" value="sun.io" />
    <property name="user.country" value="US" />
    <property name="sun.java.launcher" value="SUN_STANDARD" />
    <property name="sun.os.patch.level" value="unknown" />
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />
    <property name="user.dir" value="/home/nico/Desktop/dm_ava/dm_java_2" />
    <property name="main.src.dir" value="./src/" />
    <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />
    <property name="basedir" value="/home/nico/Desktop/dm_ava/dm_java_2" />
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />
    <property name="os.arch" value="amd64" />
    <property name="java.io.tmpdir" value="/tmp" />
    <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />
    <property name="line.separator" value="&#xa;" />
    <property name="java.vm.specification.vendor" value="Oracle Corporation" />
    <property name="os.name" value="Linux" />
    <property name="ant.home" value="/usr/share/ant" />
    <property name="test.src.dir" value="tests/" />
    <property name="ant.project.name" value="DM-POO" />
    <property name="sun.jnu.encoding" value="UTF-8" />
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />
    <property name="ant.file.type.DM-POO" value="file" />
    <property name="java.class.version" value="52.0" />
    <property name="java.specification.name" value="Java Platform API Specification" />
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />
    <property name="os.version" value="4.18.0-17-generic" />
    <property name="ant.file" value="/home/nico/Desktop/dm_ava/dm_java_2/build.xml" />
    <property name="user.home" value="/home/nico" />
    <property name="user.timezone" value="" />
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />
    <property name="java.specification.version" value="1.8" />
    <property name="file.encoding" value="UTF-8" />
    <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/nico/Desktop/dm_ava/dm_java_2/build:/home/nico/Desktop/dm_ava/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.5.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />
    <property name="user.name" value="nico" />
    <property name="ant.file.DM-POO" value="/home/nico/Desktop/dm_ava/dm_java_2/build.xml" />
    <property name="java.vm.specification.version" value="1.8" />
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />
    <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner BienParentheseeCrochetsTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/nico/Desktop/dm_ava/dm_java_2/reports/TEST-BienParentheseeCrochetsTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/nico/Desktop/dm_ava/dm_java_2/reports/TEST-BienParentheseeCrochetsTest.xml crashfile=/home/nico/Desktop/dm_ava/dm_java_2/junitvmwatcher1508376835687456841.properties propsfile=/home/nico/Desktop/dm_ava/dm_java_2/junit838264473980727554.properties" />
    <property name="sun.arch.data.model" value="64" />
    <property name="java.specification.vendor" value="Oracle Corporation" />
    <property name="user.language" value="en" />
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />
    <property name="java.vm.info" value="mixed mode" />
    <property name="java.version" value="1.8.0_191" />
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />
    <property name="java.vendor" value="Oracle Corporation" />
    <property name="file.separator" value="/" />
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />
    <property name="sun.cpu.endian" value="little" />
    <property name="sun.io.unicode.encoding" value="UnicodeLittle" />
    <property name="test.reports.dir" value="reports/" />
    <property name="test.build.dir" value="build/tests" />
    <property name="ant.file.type" value="file" />
    <property name="sun.cpu.isalist" value="" />
  </properties>
  <testcase classname="BienParentheseeCrochetsTest" name="chaineVideBienParenthesee" time="0.004" />
  <testcase classname="BienParentheseeCrochetsTest" name="moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee" time="0.006">
    <failure type="junit.framework.AssertionFailedError">junit.framework.AssertionFailedError
	at BienParentheseeCrochetsTest.moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee(Unknown Source)
</failure>
  </testcase>
  <testcase classname="BienParentheseeCrochetsTest" name="unExempleBienParenthese" time="0.0" />
  <testcase classname="BienParentheseeCrochetsTest" name="pasDansLeBonOrdre" time="0.002">
    <failure type="junit.framework.AssertionFailedError">junit.framework.AssertionFailedError
	at BienParentheseeCrochetsTest.pasDansLeBonOrdre(Unknown Source)
</failure>
  </testcase>
  <testcase classname="BienParentheseeCrochetsTest" name="moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee" time="0.001">
    <failure type="junit.framework.AssertionFailedError">junit.framework.AssertionFailedError
	at BienParentheseeCrochetsTest.moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee(Unknown Source)
</failure>
  </testcase>
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
